View Issue Details

IDProjectCategoryView StatusLast Update
0014470LazarusLCLpublic2011-12-01 11:22
Reportermihai dobrescuAssigned ToVincent Snijders 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0014470: ExtractFileNameWithoutExt stops at the first point
DescriptionAssuming a filename have several '.' characters, ExtractFileNameWithoutExt stops at the first '.'.

ExtractFileNameWithoutExt('file.name.ext') --> 'file'

Correct would be 'file.name'.
TagsNo tags attached.
Fixed in Revision21564
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

2009-09-02 23:01

 

extractfilename.zip (334 bytes)

Luiz Americo

2009-09-02 23:02

developer   ~0030339

The attached patch fixes it

Vincent Snijders

2009-09-02 23:07

manager   ~0030340

That is exactly how I will fix it.

Issue History

Date Modified Username Field Change
2009-08-31 20:10 mihai dobrescu New Issue
2009-08-31 20:10 mihai dobrescu Widgetset => Win32/Win64
2009-08-31 21:08 Vincent Snijders Status new => assigned
2009-08-31 21:08 Vincent Snijders Assigned To => Vincent Snijders
2009-09-02 23:01 Luiz Americo File Added: extractfilename.zip
2009-09-02 23:02 Luiz Americo Note Added: 0030339
2009-09-02 23:07 Vincent Snijders Note Added: 0030340
2009-09-04 13:06 Vincent Snijders Fixed in Revision => 21564
2009-09-04 13:06 Vincent Snijders LazTarget => -
2009-09-04 13:06 Vincent Snijders Status assigned => resolved
2009-09-04 13:06 Vincent Snijders Fixed in Version => 0.9.29 (SVN)
2009-09-04 13:06 Vincent Snijders Resolution open => fixed
2011-12-01 11:22 Marc Weustink Status resolved => closed